Package org.multiverse.api.predicates

## Class DoublePredicate

- java.lang.Object
- - org.multiverse.api.predicates.DoublePredicate

- All Implemented Interfaces:
    `Predicate<Double>`

      public abstract class DoublePredicate
      extends Object
      implements Predicate<Double>

  A predicate that checks if some value leads to true or false.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoublePredicate()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `evaluate​(double current)` | Evaluates the predicate
    `boolean` | `evaluate​(Double arg)` | Evaluates the predicate.
    `static DoublePredicate` | `newEqualsPredicate​(double value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoublePredicate

          public DoublePredicate()

  - ### Method Detail

    - #### newEqualsPredicate

          public static DoublePredicate newEqualsPredicate​(double value)

    - #### evaluate

          public abstract boolean evaluate​(double current)

      Evaluates the predicate
      Parameters:
        `current` - the current value.
      Returns:
        true or false.

    - #### evaluate

          public final boolean evaluate​(Double arg)

      Description copied from interface: `Predicate`
      Evaluates the predicate.
      Specified by:
        `evaluate` in interface `Predicate<Double>`
      Parameters:
        `arg` - the value to evaluate.
      Returns:
        true or false.